Package com.google.protobuf

# Class TextFormat.UnknownFieldParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.google.protobuf.TextFormat.ParseException
com.google.protobuf.TextFormat.UnknownFieldParseException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `TextFormat`

@Deprecated public static class TextFormat.UnknownFieldParseException extends TextFormat.ParseException
Deprecated.
This exception is unused and will be removed in the next breaking release (v5.x.x).
Obsolete exception, once thrown when encountering an unknown field while parsing a text format message.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnknownFieldParseException(int line, int column, String unknownField, String message)`
Deprecated.
Create a new instance
`UnknownFieldParseException(String message)`
Deprecated.
Create a new instance, with -1 as the line and column numbers, and an empty unknown field name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getUnknownField()`
Deprecated.
Return the name of the unknown field encountered while parsing the protocol buffer string.

### Methods inherited from class com.google.protobuf.TextFormat.ParseException

`getColumn, getLine`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownFieldParseException

public UnknownFieldParseException(String message)
Deprecated.
Create a new instance, with -1 as the line and column numbers, and an empty unknown field name.

### UnknownFieldParseException

public UnknownFieldParseException(int line, int column, String unknownField, String message)
Deprecated.
Create a new instance

Parameters:
  `line` - the line number where the parse error occurred, using 1-offset.
  `column` - the column number where the parser error occurred, using 1-offset.
  `unknownField` - the name of the unknown field found while parsing.

## Method Details

### getUnknownField

public String getUnknownField()
Deprecated.
Return the name of the unknown field encountered while parsing the protocol buffer string.